Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.security.control
Class SecuredObjectRight

    java.lang.Object
      org.deegree.portal.standard.security.control.SecuredObjectRight

    public class SecuredObjectRight

extends Object

Container that encapsulates information about a certain `Right` on a certain `SecuredObject`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`SecuredObjectRight(boolean accessible, SecuredObject securedObject, Map<?,?> constraints)`

Method Summary
`Map<?,?>` | `getConstraints()`
`SecuredObject` | `getSecuredObject()`
`boolean` | `isAccessible()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecuredObjectRight

    public SecuredObjectRight(boolean accessible,
                              SecuredObject securedObject,
                              Map<?,?> constraints)

Parameters:
  `accessible` -
  `securedObject` -
  `constraints` -

Method Detail

### isAccessible

    public boolean isAccessible()

  Returns:
    boolean

### getSecuredObject

    public SecuredObject getSecuredObject()

  Returns:
    SecuredObject

### getConstraints

    public Map<?,?> getConstraints()

  Returns:
    Map

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org